Skip to main content
GET
/
v1
/
volume
/
user
/
daily
Get user daily volume
curl --request GET \
  --url https://api.orderly.org/v1/volume/user/daily \
  --header 'orderly-account-id: <orderly-account-id>' \
  --header 'orderly-key: <orderly-key>' \
  --header 'orderly-signature: <orderly-signature>' \
  --header 'orderly-timestamp: <orderly-timestamp>'
{
  "success": true,
  "data": [
    {
      "date": "2024-01-01T00:00:00.000Z",
      "perp_volume": 100.24
    }
  ],
  "timestamp": 1702989203989
}

Headers

orderly-timestamp
string
required

Timestamp of the signed request in milliseconds.

orderly-account-id
string
required

Account ID of the authenticated account.

orderly-key
string
required

Public orderly key used to sign the request.

orderly-signature
string
required

Signature of the request payload generated with the orderly key.

Query Parameters

start_date
string
required

Start date in YYYY-MM-DD format.

end_date
string
required

End date in YYYY-MM-DD format.

Response

200 - application/json

OK

success
boolean
required

Indicates whether the request was successful.

Example:

true

data
object[]
required

Daily perpetual trading volume entries for the requested date range.

timestamp
integer

Server timestamp in milliseconds.

Example:

1702989203989